{
    "function": "set_components",
    "components": {
      "custom_data": {
        "or_is_tool": true,
        "or_tool_material": "copper",
        "or_tool_type": "shovel"
      },
        "enchantments": {
            "overly_realistic:or_internal_stun_weapon": 1,
            "overly_realistic:or_internal_tool/or_internal_tool_shovel": 1,
            "overly_realistic:or_internal_tool/or_internal_tool_general": 1
        },
        "tooltip_display": {
            "hidden_components": [
                "enchantments"
            ]
        },
        "minecraft:tool": {
          "rules": [
            {
              "blocks": "#minecraft:incorrect_for_copper_tool",
              "correct_for_drops": false
            },
            {
              "blocks": "#minecraft:mineable/shovel",
              "correct_for_drops": true,
              "speed": 3.0
            }
          ]
        },
        "item_name": {
            "translate": "item.minecraft.copper_shovel",
            "color": "white"
        },
        "enchantment_glint_override": false,
        "minecraft:attribute_modifiers": [
        {
        "type": "minecraft:attack_damage",
        "amount": 2.0,
        "id": "minecraft:base_attack_damage",
        "operation": "add_value",
        "slot": "mainhand"
      },
      {
        "type": "minecraft:attack_speed",
        "amount": -2.799999952316284,
        "id": "minecraft:base_attack_speed",
        "operation": "add_value",
        "slot": "mainhand"
      },
        {
          "type": "minecraft:entity_interaction_range",
          "amount": 0.3,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.3 Entity Reach",
              "color": "dark_green"
            }
          }
        },
        {
          "type": "minecraft:block_interaction_range",
          "amount": 0.3,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.3 Block Reach",
              "color": "dark_green"
            }
          }
        }
      ]
    }
}